package com.liquidnet.common.third.zxlnft.constant;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: ZxlnftEnum
 * @Package com.liquidnet.common.third.zxlnft.constant
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/25 11:16
 */
public class ZxlnftEnum {
    /**
     * 支付状态
     */
    public enum SellStatusEnum{
        CAN_SELL("1","可售"),
        CAN_NOT_SELL("2","不可售");


        private String code;
        private String message;
        SellStatusEnum(String code, String message) {
            this.code = code;
            this.message = message;
        }

        public SellStatusEnum getEnumByCode(String code){
            SellStatusEnum[] arry = SellStatusEnum.values();
            for (int i = 0; i < arry.length; i++) {
                if (arry[i].getCode().equals(code)) {
                    return arry[i];
                }
            }
            return null;
        }

        public String getCode() {
            return code;
        }
    }
}
